<!-- 大弹窗 三~四行文字 -->
<template>
	<uni-popup ref="comingSoonPopup" :animation="false" :is-mask-click="false"
	 mask-background-color="rgba(51, 137, 217, 0.65);">
	 <view class="coming-soon-dialog">
		 <icon></icon>
		<view class="coming-soon-return-btn" @click="returnBtn"></view>
	 </view>
	</uni-popup>
</template>

<script setup>
	import { ref } from 'vue';
	const comingSoonPopup = ref(null); // 索引
	const $emit = defineEmits(['return-btn'])
	// 打开弹窗
	function handleShow() {
		comingSoonPopup.value.open();
	}
	// 取消
	function handleClose() {
		comingSoonPopup.value.close();
	}
	// 返回
	function returnBtn(){
		comingSoonPopup.value.close();
		$emit('return-btn');
	}
	defineExpose({
			handleShow
		})
</script>

<style>
</style>